This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 751237 - Allow purge to run ant task in recipe to do custom actions
Allow purge to run ant task in recipe to do custom actions
Status: NEW
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
3.0.0 Beta1
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-03 20:46 EDT by Nabeel Saad
Modified: 2015-11-01 19:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nabeel Saad 2011-11-03 20:46:10 EDT
Description of problem:
It would be great (as a feature request), to allow the purge button to also access the recipe.xml and to do the typical purge action of deleting everything, but to also have a pre/post purge ant target that it can run.

For example, if my bundle has a JBoss server, I would want to shutdown the server in the pre-purge (via my recipe), then have the purge just delete all the files.. and finally maybe remove a symbolic link in the post-purge.

This would allow for a lot cleaner systems along with a lot more flexibility and hopefully without too much hassle given that the deploy already has this built in.

Version-Release number of selected component (if applicable):
3.0 GA -- I can help test if it goes into beta

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.